<?php
namespace Mihanwp\FastCheckout\App\Helpers;
class Tools
{
    static function checkIsMihanPanelProActive()
    {
        $all = get_option('active_plugins');
        return in_array('mihanpanel/mihanpanel.php', $all);
    }

    static function generateFakeMail($username = null)
    {
        $host = wp_parse_url(site_url(), PHP_URL_HOST);

        return  (empty($username) ? wp_rand(1000,9999999) . time() : $username) . "@fake.{$host}";
    }

    static function getWoocommerceVersion()
    {
        return defined('WC_VERSION') ? WC_VERSION : false;
    }
}